Subject: bug#53158: 28.0.90; TAB, RET key behave differently for Git-Log-View, Outline View mode

From: Van Ly <[email-masked]>
Date: Thu, 13 Jan 2022 09:32:45 +0000 (UTC)

On Thu, 13 Jan 2022, Lars Ingebrigtsen wrote:

> Juri Linkov <[email-masked]> writes:
>
>> We were hit by this unpleasant problem in diff-mode with outline-minor-mode.
>> In diff-mode TAB moves point to the next hunk, because in browsers TAB moves
>> to the next link.  But in outline-minor-mode TAB should expand and collapse
>> on the heading because TAB does this in Org mode.
>
> I think it's unfortunate that outline minor mode uses TAB, because it
> crashes with so much else we're using that key for.  But I guess
> there's not much we can do about it at this point.
>

I think outline minor mode and org mode should coordinate to work 
well with diff-mode TAB moves.  Use TAB and S-TAB for moving forward 
and backward to points of interest.  Use ` immediately above the TAB 
for operating on that context.  What you can do is have a file for 
design language roadmap guidance forward to overtime have 
contributors align how the TAB is to be used and phase in new 
behavior.  Give it 18-months to align and grandfather in old behavior 
people have grown callous for and are insensitive to pain point.

-- 
vl